Create parking spot
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/parking-spots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservedCarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservedCustomerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActive": true,
"sortOrder": 123,
"tags": [
"<string>"
],
"isLiftSpot": true,
"liftHeight": 123,
"isMotorcycleSpot": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reservedCarId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reservedCustomerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isActive: true,
sortOrder: 123,
tags: ['<string>'],
isLiftSpot: true,
liftHeight: 123,
isMotorcycleSpot: true
})
};
fetch('https://www.carstoragesoftware.com/api/v1/parking-spots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/parking-spots"
payload = {
"name": "<string>",
"description": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservedCarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservedCustomerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActive": True,
"sortOrder": 123,
"tags": ["<string>"],
"isLiftSpot": True,
"liftHeight": 123,
"isMotorcycleSpot": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservedCarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservedCustomerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActive": true,
"sortOrder": 123,
"tags": [
"<string>"
],
"isLiftSpot": true,
"liftHeight": 123,
"isMotorcycleSpot": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Parking spots
Create parking spot
Requires write:parking.
POST
/
api
/
v1
/
parking-spots
Create parking spot
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/parking-spots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservedCarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservedCustomerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActive": true,
"sortOrder": 123,
"tags": [
"<string>"
],
"isLiftSpot": true,
"liftHeight": 123,
"isMotorcycleSpot": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reservedCarId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reservedCustomerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isActive: true,
sortOrder: 123,
tags: ['<string>'],
isLiftSpot: true,
liftHeight: 123,
isMotorcycleSpot: true
})
};
fetch('https://www.carstoragesoftware.com/api/v1/parking-spots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/parking-spots"
payload = {
"name": "<string>",
"description": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservedCarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservedCustomerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActive": True,
"sortOrder": 123,
"tags": ["<string>"],
"isLiftSpot": True,
"liftHeight": 123,
"isMotorcycleSpot": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservedCarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservedCustomerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActive": true,
"sortOrder": 123,
"tags": [
"<string>"
],
"isLiftSpot": true,
"liftHeight": 123,
"isMotorcycleSpot": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Body
application/json
Minimum string length:
1Response
Created.
Show child attributes
Show child attributes
Was this page helpful?
⌘I